## AgsSetDevice

AgsSetDevice — set device

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsSetDevice * | ags_set_device_new ()

## Properties

char * | device | Read / Write
GObject * | scope | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsSetDevice

## Includes

    #include <ags/audio/task/ags_set_device.h>

## Description

The AgsSetDevice task sets device of AgsSoundcard or AgsSequencer.

## Functions

### ags_set_device_new ()

    AgsSetDevice *
    ags_set_device_new (GObject *scope,
                        gchar *device);

Create a new instance of AgsSetDevice.

#### Parameters

scope | the AgsSoundcard or AgsSequencer to reset |
device | the device as string |

#### Returns

the new AgsSetDevice.

Since: 3.0.0

## Property Details

### The `“device”` property

      “device”                   char *

The device to set.

Owner: AgsSetDevice

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“scope”` property

      “scope”                    GObject *

The assigned AgsSoundcard or AgsSequencer instance.

Owner: AgsSetDevice

Flags: Read / Write

Since: 3.0.0